> For the complete documentation index, see [llms.txt](https://docs.high-mobility.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.high-mobility.com/oem-guides/ford/clearance-lifecycle.md).

# Clearance Lifecycle

{% hint style="warning" %}
The following flows are closely related to OEM integrations and our internal software, and are subject to change without prior notice.
{% endhint %}

## Activation

The following flowchart explains the high level of activation procedure&#x20;

{% @mermaid/diagram content="graph TD
classDef eventProducerErrorClass fill:red,color:white;
classDef eventProducerSuccessClass fill:green;
ActivationRequest(Activation Requested) --> CheckThereIsOnGoing{In progress?₁}
CheckThereIsOnGoing --> |yes| CheckThereIsOnGoing
CheckThereIsOnGoing ---> |no| AlreadyActive{Already in<br />fleet in a diff package?}
AlreadyActive --> |yes| CalculateSku{Is new clearance<br />needs a bigger package?}
AlreadyActive --> |no| CheckForConsent
CalculateSku -->  |yes| UnenrollAndEnrollVin\[Deactivate vehicle on Ford₂<br />&<br />activate vehicle under new packages]
CalculateSku --> |no| Approved(Approved):::eventProducerSuccessClass
UnenrollAndEnrollVin --> CheckForConsent{Is vehicle consented via<br />Ford PRO fleet portal?₃}
CheckForConsent --> |Check for consent every 12h| CheckForConsent
CheckForConsent --> |10 days past| Rejected(Rejected):::eventProducerErrorClass
CheckForConsent --> CheckEnrollment{Check vehicle activation on Ford}
CheckEnrollment --> |not activated<br />check forever₄| CheckEnrollment
CheckEnrollment ---> |activated| Approved

" %}

1. If this vin is already used by any of our customers and in transition, your activation gets paused. It includes when this vehicle is revoked/canceled by HM status but OEM side hasn't confirmed it yet.&#x20;
2. If a new clearance requires deactivation\&activation of vehicle, you'll lose the vehicle data during this period.
3. Your vehicles need to be added to your [Ford PRO fleet portal](https://fleetaccount.ford.com/) account. In case you don't have a Ford Fleet account, please get in touch with us in order to get it set up.
4. Ford doesn't have any API to deactivate an on-going activation, if you need to cancel a clearance,  you need to reach out to [Broken mention](broken://spaces/cbgGQMNNjqAhRKlK5rnB)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.high-mobility.com/oem-guides/ford/clearance-lifecycle.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
